# Uses of Interface
org.eclipse.birt.chart.model.data.SeriesGrouping

Packages that use SeriesGrouping
Package
Description
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of SeriesGrouping in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return SeriesGrouping
Modifier and Type
Method
Description
`SeriesGrouping`
SeriesGrouping.`copyInstance()`
`SeriesGrouping`
DataFactory.`createSeriesGrouping()`
Returns a new object of class 'Series Grouping'.
`SeriesGrouping`
Query.`getGrouping()`
Returns the value of the 'Grouping' containment reference.
`SeriesGrouping`
SeriesDefinition.`getGrouping()`
Returns the value of the 'Grouping' containment reference.
Methods in org.eclipse.birt.chart.model.data with parameters of type SeriesGrouping
Modifier and Type
Method
Description
`void`
Query.`setGrouping(SeriesGrouping value)`
Sets the value of the '`Grouping`' containment reference.
`void`
SeriesDefinition.`setGrouping(SeriesGrouping value)`
Sets the value of the '`Grouping`' containment reference.

## Uses of SeriesGrouping in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement SeriesGrouping
Modifier and Type
Class
Description
`class`
`SeriesGroupingImpl`
An implementation of the model object ' Series Grouping'.
Methods in org.eclipse.birt.chart.model.data.impl that return SeriesGrouping
Modifier and Type
Method
Description
`SeriesGrouping`
SeriesGroupingImpl.`copyInstance()`
`static final SeriesGrouping`
SeriesGroupingImpl.`create()`
A convenience method provided to create a series grouping instance and initialize its member variables NOTE: Manually written
`SeriesGrouping`
DataFactoryImpl.`createSeriesGrouping()`
`SeriesGrouping`
QueryImpl.`getGrouping()`
`SeriesGrouping`
SeriesDefinitionImpl.`getGrouping()`
Methods in org.eclipse.birt.chart.model.data.impl with parameters of type SeriesGrouping
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
QueryImpl.`basicSetGrouping(SeriesGrouping newGrouping, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
SeriesDefinitionImpl.`basicSetGrouping(SeriesGrouping newGrouping, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
QueryImpl.`setGrouping(SeriesGrouping newGrouping)`
`void`
SeriesDefinitionImpl.`setGrouping(SeriesGrouping newGrouping)`